﻿@model Xtoman.Utility.SeoHelper.SeoCheker
<div style="text-align: right; display: inline-block; background-color: whitesmoke; border: 1px solid silver; margin-bottom: 10px;">
    <span style="display: block; padding: 10px; text-align: center; font-weight: bold;" class="@(Model.IsAcceptable ? "seoValid" : "seoNotvalid")">
        امتیاز سئو : @Model.SeoScore/100
    </span>
    <div style="padding: 10px 15px;">
        @if (Model.TitleMessages.Any())
        {
            <strong>عنوان</strong>
            <br />
            <ul class="ulSeo">
                @foreach (var item in Model.TitleMessages.OrderByDescending(p => p.IsError))
                {
                    <li class="@(item.IsError ? "errorMessage" : "wrningMessage")">
                        @item.Message
                    </li>
                }
            </ul>
            <br />
        }
        @if (Model.KeywordMessages.Any())
        {
            <strong>کلمه کلیدی</strong>
            <br />
            <ul class="ulSeo">
                @foreach (var item in Model.KeywordMessages.OrderByDescending(p => p.IsError))
                {
                    <li class="@(item.IsError ? "errorMessage" : "wrningMessage")">
                        @item.Message
                    </li>
                }
            </ul>
            <br />
        }
        @if (Model.UrlMessages.Any())
        {
            <strong>آدرس</strong>
            <br />
            <ul class="ulSeo">
                @foreach (var item in Model.UrlMessages)
                {
                    <li class="@(item.IsError ? "errorMessage" : "wrningMessage")">
                        @item.Message
                    </li>
                }
            </ul>
            <br />
        }
        @if (Model.MetaDescriptionMessages.Any())
        {
            <strong>متا تگ توضیحات</strong>
            <br />
            <ul class="ulSeo">
                @foreach (var item in Model.MetaDescriptionMessages.OrderByDescending(p => p.IsError))
                {
                    <li class="@(item.IsError ? "errorMessage" : "wrningMessage")">
                        @item.Message
                    </li>
                }
            </ul>
            <br />
        }
        @if (Model.TextMessages.Any())
        {
            <strong>متن</strong>
            <br />
            <ul class="ulSeo">
                @foreach (var item in Model.TextMessages.OrderByDescending(p => p.IsError))
                {
                    <li class="@(item.IsError ? "errorMessage" : "wrningMessage")">
                        @item.Message
                    </li>
                }
            </ul>
            <br />
        }
    </div>
</div>